April 23, 2015

Why You Should Have the Latest Version of WordPress

In recent weeks WordPress plugins have suffered a spate of security vulnerabilities, prompting concerns WordPress as a platform isn't secure. Of course it's secure – when it's up-to-date. We look – in detail – at what you need to know.

Read more here.

crossmenu